import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/finance/orderconsign/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/finance/orderconsign/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/finance/orderconsign/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/finance/orderconsign/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/finance/orderconsign/submit',
    method: 'post',
    data: row
  })
}
export const getUserAppList = (current, size, params) => {
  return request({
    url: '/api/platform/userApp/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const payment = (param) => {
  return request({
    url: '/api/v1/checkSystemPay',
    method: 'post',
    data: param
  })
}
